#include <iostream>
#include <string>
#include <cstddef>
#include <stdio.h>
using namespace std;
int main()
{
    string x,y,z,q,w,u,p,r,t,o,v;
    int g,h;
    getline(cin,u);
    g=u.find(' ');
    h=u.find(' ',g+1);
    x=u.substr(0,g);
    y=u.substr(g+1,h-g-1);
    g=u.length();
    z=u.substr(h+1,g);
    q=x+y+z;
    w=x+z+y;
    p=y+x+z;
    r=y+z+x;
    t=z+x+y;
    o=z+y+x;
    v=max(max(max(q,w),max(p,r)),max(t,o));
    cout<<v;
    return 0;
}